You are not logged in.

#1 2022-08-24 08:22:10

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Cannot build ffmpeg-vulkan (needed for ALVR)

So recently, I purchased an Oculus/Meta quest vr headset and wanted to use it on Vivecraft, but SteamVR didn't work and I looked for alternatives, which led me to ALVR. But the install didn't work as described on the github, and instead it threw me an error and didn't build.

Output of yay -S alvr:
https://hst.sh/eyacepuhuk.coffeescript

Offline

#2 2022-08-24 09:05:10

philo
Member
Registered: 2015-01-26
Posts: 188

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

There might be a solution in the AUR web page of the package.

Offline

#3 2022-08-24 10:15:41

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

philo wrote:

There might be a solution in the AUR web page of the package.

Other people are having issues, but they're different than mine

Offline

#4 2022-08-24 13:18:28

loqs
Member
Registered: 2014-03-06
Posts: 15,358

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

I was able to build the package in a clean chroot.  Does that work for you?

Offline

#5 2022-08-24 16:37:06

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

loqs wrote:

I was able to build the package in a clean chroot.  Does that work for you?

I was following the steps but at this command (mkarchroot $CHROOT/root base-devel) gave me an error

Offline

#6 2022-08-24 16:43:16

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,195
Website

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

Don't use testing repos if you don't understand how they work.


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#7 2022-08-24 16:45:05

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

mrowkiuq wrote:
loqs wrote:

I was able to build the package in a clean chroot.  Does that work for you?

I was following the steps but at this command (mkarchroot $CHROOT/root base-devel) gave me an error

I searched a little bit online and found my problem. Building the package is still giving me an error.
https://hst.sh/aduditamow.coffeescript

Offline

#8 2022-08-24 17:08:31

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,195
Website

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

Stop posting screenshots of text, paste the actual output in code tags: https://wiki.archlinux.org/title/Genera … s_and_code


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#9 2022-08-24 17:21:25

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

jasonwryan wrote:

Stop posting screenshots of text, paste the actual output in code tags: https://wiki.archlinux.org/title/Genera … s_and_code

Wouldn't that be considered a *large* amount of code?

Offline

#10 2022-08-24 17:24:57

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 30,195
Website

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

Try actually reading the link.


Arch + dwm   •   Mercurial repos  •   Surfraw

Registered Linux User #482438

Offline

#11 2022-08-24 17:47:06

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

Right, so i built ffmpeg-vulkan and replaced it with normal ffmpeg, but there are more new errors. This code *is* actually quite long so there is a reason for me to use hastebin. https://hst.sh/ligupodedu.makefile

Offline

#12 2022-08-24 18:24:24

loqs
Member
Registered: 2014-03-06
Posts: 15,358

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

I needed to add CFLAGS+=' -ffat-lto-objects to the PKGBUILD then built it with extra-x86_64-build -- -I ../ffmpeg-vulkan/ffmpeg-vulkan-2\:5.1-1-x86_64.pkg.tar.zst -I /var/cache/pacman/pkg/jack2-1.9.21-1-x86_64.pkg.tar.zst

git diff
diff --git a/PKGBUILD b/PKGBUILD
index 34028af..50ffa52 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -32,6 +32,7 @@ build() {
        cd "$srcdir/${pkgname}"
        export RUSTUP_TOOLCHAIN=stable
        export CARGO_TARGET_DIR=target
+       CFLAGS+=' -ffat-lto-objects'
 
        export ALVR_ROOT_DIR=/usr
 

Offline

#13 2022-08-24 19:31:35

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

loqs wrote:

I needed to add CFLAGS+=' -ffat-lto-objects to the PKGBUILD then built it with extra-x86_64-build -- -I ../ffmpeg-vulkan/ffmpeg-vulkan-2\:5.1-1-x86_64.pkg.tar.zst -I /var/cache/pacman/pkg/jack2-1.9.21-1-x86_64.pkg.tar.zst

git diff
diff --git a/PKGBUILD b/PKGBUILD
index 34028af..50ffa52 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -32,6 +32,7 @@ build() {
        cd "$srcdir/${pkgname}"
        export RUSTUP_TOOLCHAIN=stable
        export CARGO_TARGET_DIR=target
+       CFLAGS+=' -ffat-lto-objects'
 
        export ALVR_ROOT_DIR=/usr
 

It builds for a while, then it just says

error: target not found: alvr

Offline

#14 2022-08-24 20:32:27

loqs
Member
Registered: 2014-03-06
Posts: 15,358

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

mrowkiuq wrote:

It builds for a while, then it just says

error: target not found: alvr

That error is when extra-x86_64-build tries to compare the just built alvr against alvr in the repositories,  which fails as alvr is not in the repositories.
You need to install the package that has just been built.

Last edited by loqs (2022-08-24 20:32:59)

Offline

#15 2022-08-24 20:41:02

mrowkiuq
Member
Registered: 2022-06-27
Posts: 23

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

loqs wrote:
mrowkiuq wrote:

It builds for a while, then it just says

error: target not found: alvr

That error is when extra-x86_64-build tries to compare the just built alvr against alvr in the repositories,  which fails as alvr is not in the repositories.
You need to install the package that has just been built.

I am not the brightest, how would I do that?

Offline

#16 2022-08-24 20:45:20

loqs
Member
Registered: 2014-03-06
Posts: 15,358

Re: Cannot build ffmpeg-vulkan (needed for ALVR)

Offline

Board footer

Powered by FluxBB